import 'package:flutter/material.dart';

const lightColorScheme = ColorScheme(
  brightness: Brightness.light,
  primary: Color(0xFF006D3E),
  onPrimary: Color(0xFFFFFFFF),
  primaryContainer: Color(0xFF96F7B8),
  onPrimaryContainer: Color(0xFF00210F),
  secondary: Color(0xFF006874),
  onSecondary: Color(0xFFFFFFFF),
  secondaryContainer: Color(0xFF97F0FF),
  onSecondaryContainer: Color(0xFF001F24),
  tertiary: Color(0xFF3B6470),
  onTertiary: Color(0xFFFFFFFF),
  tertiaryContainer: Color(0xFFBEEAF7),
  onTertiaryContainer: Color(0xFF001F26),
  error: Color(0xFFBA1A1A),
  errorContainer: Color(0xFFFFDAD6),
  onError: Color(0xFFFFFFFF),
  onErrorContainer: Color(0xFF410002),
  background: Color(0xFFF5FFF3),
  onBackground: Color(0xFF00210E),
  surface: Color(0xFFF5FFF3),
  onSurface: Color(0xFF00210E),
  surfaceVariant: Color(0xFFDCE5DB),
  onSurfaceVariant: Color(0xFF414942),
  outline: Color(0xFF717971),
  onInverseSurface: Color(0xFFC2FFD0),
  inverseSurface: Color(0xFF00391C),
  inversePrimary: Color(0xFF7ADA9D),
  shadow: Color(0xFF000000),
  surfaceTint: Color(0xFF006D3E),
  outlineVariant: Color(0xFFC0C9C0),
  scrim: Color(0xFF000000),
);

const darkColorScheme = ColorScheme(
  brightness: Brightness.dark,
  primary: Color(0xFF7ADA9D),
  onPrimary: Color(0xFF00391E),
  primaryContainer: Color(0xFF00522D),
  onPrimaryContainer: Color(0xFF96F7B8),
  secondary: Color(0xFF4FD8EB),
  onSecondary: Color(0xFF00363D),
  secondaryContainer: Color(0xFF004F58),
  onSecondaryContainer: Color(0xFF97F0FF),
  tertiary: Color(0xFFA3CDDB),
  onTertiary: Color(0xFF023640),
  tertiaryContainer: Color(0xFF214C57),
  onTertiaryContainer: Color(0xFFBEEAF7),
  error: Color(0xFFFFB4AB),
  errorContainer: Color(0xFF93000A),
  onError: Color(0xFF690005),
  onErrorContainer: Color(0xFFFFDAD6),
  background: Color(0xFF00210E),
  onBackground: Color(0xFF99F7B5),
  surface: Color(0xFF00210E),
  onSurface: Color(0xFF99F7B5),
  surfaceVariant: Color(0xFF414942),
  onSurfaceVariant: Color(0xFFC0C9C0),
  outline: Color(0xFF8A938B),
  onInverseSurface: Color(0xFF00210E),
  inverseSurface: Color(0xFF99F7B5),
  inversePrimary: Color(0xFF006D3E),
  shadow: Color(0xFF000000),
  surfaceTint: Color(0xFF7ADA9D),
  outlineVariant: Color(0xFF414942),
  scrim: Color(0xFF000000),
);
